Bug 13721 - simple samba-tool dns error messages throw backtraces
simple samba-tool dns error messages throw backtraces
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 13:20 UTC by Björn Jacke
Modified: 2019-01-14 09:18 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.99 KB, patch)
2018-12-18 13:28 UTC, Björn Jacke
kseeger: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2018-12-18 13:20:31 UTC
simple samba-tool dns error messages throw backtraces like:

ERROR(runtime): uncaught exception - (9714, 'WERR_DNS_ERROR_NAME_DOES_NOT_EXIST')
  File "/usr/lib/python2.7/dist-packages/samba/netcmd/__init__.py", line 176, in _run
    return self.run(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/samba/netcmd/dns.py", line 860, in run
    raise e
Record or zone does not exist.
Comment 1 Björn Jacke 2018-12-18 13:28:01 UTC
Created attachment 14742 [details]
patch
Comment 2 Björn Jacke 2018-12-20 00:55:50 UTC
fixed with 49dc04f9f553c443c78c8073c07ea2a38cde61b2 in master.
Karo: I leave it up to you if you want to pick this to 4.9
Comment 3 Stefan Metzmacher 2019-01-08 12:16:43 UTC
(In reply to Björn Jacke from comment #2)

49dc04f9f553c443c78c8073c07ea2a38cde61b2 looks good to me...
Comment 4 Karolin Seeger 2019-01-10 12:44:28 UTC
Pushed to autobuild-v4-9-test.
Comment 5 Karolin Seeger 2019-01-14 09:18:40 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-9-test.
Closing out bug report.

Thanks!